Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationSceneNodeInstance Class Reference

変換シーンノードインスタンス More...

`#include <TranslationSceneNodeInstance.h>`

Inheritance diagram for LampForMaya::TranslationSceneNodeInstance:

List of all members.

## Public Member Functions
virtual | ~TranslationSceneNodeInstance ()
| デストラクタ
virtual bool | analyze ()
| 分析
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual bool | isTranslationSceneNodeInstance () const
| 変換シーンノードインスタンスかどうか
## Protected Member Functions
| TranslationSceneNodeInstance (const MDagPath &initializePath, const String &initializeName)
| コンストラクタ
virtual bool | zeroCheck (const MPoint &point)
| ゼロチェック
## Protected Attributes
SceneNode * | source_
| コピー元
SceneNode * | destination_
| コピー先
Vector3 | pivot_
| ピボット
Vector3 | scale_
| スケール
Vector3 | rotation_
| 回転
Vector3 | translation_
| 移動
## Friends
class | TranslationInstanceManager

## Detailed Description

変換シーンノードインスタンス

Definition at line 36 of file TranslationSceneNodeInstance.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationSceneNodeInstance::TranslationSceneNodeInstance | ( | const MDagPath & | initializePath,
|  | const String & | initializeName
| ) | `[protected]`

  | コンストラクタ Parameters:
  initializePath | 初期化するDagパス
  initializeName | 初期化する名前
Definition at line 33 of file TranslationSceneNodeInstance.cpp.

## Member Function Documentation

bool LampForMaya::TranslationSceneNodeInstance::analyze | ( |  | ) | `[virtual]`

| 分析 Returns: 成功すればtrue Reimplemented from LampForMaya::TranslationInstance. Definition at line 44 of file TranslationSceneNodeInstance.cpp. References LampForMaya::TranslationInstance::analyzeInstance(), LampForMaya::TranslationInstance::dagPath_, MayaErrorOut, MayaStatusCheck, LampForMaya::TranslationInstance::name_, pivot_, rotation_, scale_, translation_, and zeroCheck().

virtual bool LampForMaya::TranslationSceneNodeInstance::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[inline, virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Implements LampForMaya::TranslationInstance. Definition at line 65 of file TranslationSceneNodeInstance.h. References LampForMaya::TranslationInstance::convertSceneNodeAnimation(), destination_, and source_.

bool LampForMaya::TranslationSceneNodeInstance::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implements LampForMaya::TranslationInstance. Definition at line 143 of file TranslationSceneNodeInstance.cpp. References destination_, MayaErrorOut, LampForMaya::TranslationInstance::name_, LampForMaya::TranslationInstance::parentSceneNodeName_, rotation_, scale_, source_, translation_, and LampForMaya::TranslationInstance::visibility_.

virtual bool LampForMaya::TranslationSceneNodeInstance::isTranslationSceneNodeInstance | ( |  | ) | const`[inline, virtual]`

| 変換シーンノードインスタンスかどうか Returns: 変換シーンノードインスタンスならtrue Reimplemented from LampForMaya::TranslationInstance. Definition at line 78 of file TranslationSceneNodeInstance.h.

virtual bool LampForMaya::TranslationSceneNodeInstance::zeroCheck | ( | const MPoint & | point | ) | `[inline, protected, virtual]`

  | ゼロチェック Parameters:
  point | チェックするポイント
Returns: ポイントが0ならtrueを返す Definition at line 95 of file TranslationSceneNodeInstance.h. Referenced by analyze().

The documentation for this class was generated from the following files:

- TranslationSceneNodeInstance.h
- TranslationSceneNodeInstance.cpp